in scala.xml.pull.XMLEventReader
class Parser

`class` Parser
  `extends` scala.xml.parsing.MarkupHandler
  `with` scala.xml.parsing.MarkupParser
  `with` scala.xml.parsing.ExternalSources
  `with` java.lang.Runnable
  `with` scala.ScalaObject

Constructor Summary
| `def` this

Val Summary
| `val` input : scala.io.Source
| `val` preserveWS : scala.Boolean

Val inherited from scala.xml.parsing.MarkupHandler
isValidating

Val inherited from scala.xml.parsing.MarkupParser
cbuf , handle

Var inherited from scala.xml.parsing.MarkupHandler
decls , ent

Var inherited from scala.xml.parsing.MarkupParser
ch , curInput, doc, dtd, eof, extIndex, inpStack, pos, tmppos

Def Summary
| `def` comment (pos: scala.Int, txt: java.lang.String) : scala.xml.NodeSeq{def theSeq: scala.Nil.type}
`final` | `def` elem (pos: scala.Int, pre: java.lang.String, label: java.lang.String, attrs: scala.xml.MetaData, pscope: scala.xml.NamespaceBinding, nodes: scala.xml.NodeSeq) : scala.xml.NodeSeq
`override` | `def` elemEnd (pos: scala.Int, pre: java.lang.String, label: java.lang.String) : scala.Unit
`override` | `def` elemStart (pos: scala.Int, pre: java.lang.String, label: java.lang.String, attrs: scala.xml.MetaData, scope: scala.xml.NamespaceBinding) : scala.Unit
| `def` entityRef (pos: scala.Int, n: java.lang.String) : scala.xml.NodeSeq{def theSeq: scala.Nil.type}
| `def` procInstr (pos: scala.Int, target: java.lang.String, txt: java.lang.String) : scala.xml.NodeSeq{def theSeq: scala.Nil.type}
`override` | `def` run : scala.Unit
| `def` text (pos: scala.Int, txt: java.lang.String) : scala.xml.NodeSeq{def theSeq: scala.Nil.type}

Def inherited from scala.xml.parsing.MarkupHandler
attListDecl , comment, elem, elemDecl, elemEnd, elemStart, endDTD, entityRef, lookupElemDecl, notationDecl, parameterEntityDecl, parsedEntityDecl, peReference, procInstr, replacementText, reportSyntaxError, text, unparsedEntityDecl

Def inherited from scala.xml.parsing.MarkupParser
appendText , attrDecl, content, content1, document, element, element1, elementDecl, entityDecl, extSubset, externalID, externalSource, intSubset, markupDecl, markupDecl1, nextch, normalizeAttributeValue, notationDecl, parseDTD, pop, prolog, pubidLiteral, push, pushExternal, putChar, reportSyntaxError, reportSyntaxError, reportValidationError, systemLiteral, textDecl, xAttributeValue, xAttributes, xCharData, xCharRef, xComment, xEQ, xEndTag, xEntityValue, xName, xProcInstr, xSpace, xSpaceOpt, xTag, xText, xToken, xToken, xmlProcInstr

Def inherited from scala.xml.parsing.ExternalSources
externalSource , externalSourceFromURL

Def inherited from java.lang.Runnable
run

Constructor Detail

`def` this

Val Detail

`val` input : scala.io.Source

`val` preserveWS : scala.Boolean

Def Detail

`def` comment (pos: scala.Int, txt: java.lang.String): scala.xml.NodeSeq{def theSeq: scala.Nil.type}

`final def` elem (pos: scala.Int, pre: java.lang.String, label: java.lang.String, attrs: scala.xml.MetaData, pscope: scala.xml.NamespaceBinding, nodes: scala.xml.NodeSeq): scala.xml.NodeSeq

`override def` elemEnd (pos: scala.Int, pre: java.lang.String, label: java.lang.String): scala.Unit

`override def` elemStart (pos: scala.Int, pre: java.lang.String, label: java.lang.String, attrs: scala.xml.MetaData, scope: scala.xml.NamespaceBinding): scala.Unit

`def` entityRef (pos: scala.Int, n: java.lang.String): scala.xml.NodeSeq{def theSeq: scala.Nil.type}

`def` procInstr (pos: scala.Int, target: java.lang.String, txt: java.lang.String): scala.xml.NodeSeq{def theSeq: scala.Nil.type}

`override def` run : scala.Unit

`def` text (pos: scala.Int, txt: java.lang.String): scala.xml.NodeSeq{def theSeq: scala.Nil.type}